unit Screen_Othod;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ScadaBase, VisMachine, VisMchb, ExtCtrls, VisDltB,
  VisStatusShape, VisZDVH, VisZDVT, jpeg, SimpleLine, PolyLine, VisButton,
  Buttons, VisZDVC, VisZDVA, VisLabel, VisDynamicPict, VisMcha, VisNumericPanel,
  VisDataboard, VisRadioButton, AdvGlowButton, VisControl;

type
  TScreen_OthodForm = class(TForm)
    Shape1: TShape;
    Shape3: TShape;
    Shape5: TShape;
    Shape2: TShape;
    VisMchb13: TVisMchb;
    VisMchb35: TVisMchb;
    VisMchb37: TVisMchb;
    VisMchb1: TVisMchb;
    VisMchb2: TVisMchb;
    VisMchb3: TVisMchb;
    VisMchb4: TVisMchb;
    VisMchb12: TVisMchb;
    SimpleLine10: TSimpleLine;
    VisMchb8: TVisMchb;
    VisMchb7: TVisMchb;
    VisMchb11: TVisMchb;
    VisLabel3: TVisLabel;
    VisNumericPanel2: TVisNumericPanel;
    SimpleLine18: TSimpleLine;
    SimpleLine2: TSimpleLine;
    SimpleLine3: TSimpleLine;
    SimpleLine9: TSimpleLine;
    SimpleLine12: TSimpleLine;
    SimpleLine13: TSimpleLine;
    SimpleLine21: TSimpleLine;
    SimpleLine22: TSimpleLine;
    SimpleLine23: TSimpleLine;
    SimpleLine24: TSimpleLine;
    SimpleLine25: TSimpleLine;
    SimpleLine26: TSimpleLine;
    SimpleLine27: TSimpleLine;
    SimpleLine28: TSimpleLine;
    SimpleLine29: TSimpleLine;
    SimpleLine31: TSimpleLine;
    SimpleLine38: TSimpleLine;
    Label20: TLabel;
    Label1: TLabel;
    Label2: TLabel;
    VisMchb16: TVisMchb;
    VisMchb23: TVisMchb;
    VisMchb69: TVisMchb;
    VisZDVA24: TVisZDVA;
    VisZDVA25: TVisZDVA;
    VisZDVA26: TVisZDVA;
    VisZDVA27: TVisZDVA;
    VisMchb90: TVisMchb;
    VisMchb22: TVisMchb;
    VisMchb78: TVisMchb;
    VisMchb15: TVisMchb;
    VisMchb17: TVisMchb;
    VisMchb18: TVisMchb;
    VisMchb19: TVisMchb;
    VisMchb20: TVisMchb;
    VisMchb21: TVisMchb;
    VisMchb24: TVisMchb;
    VisMchb25: TVisMchb;
    VisMchb26: TVisMchb;
    VisMchb27: TVisMchb;
    VisMchb28: TVisMchb;
    VisZDVA1: TVisZDVA;
    VisZDVA2: TVisZDVA;
    VisZDVA3: TVisZDVA;
    VisZDVA4: TVisZDVA;
    VisZDVA5: TVisZDVA;
    VisZDVA6: TVisZDVA;
    VisZDVA7: TVisZDVA;
    VisZDVA8: TVisZDVA;
    VisMchb14: TVisMchb;
    SimpleLine6: TSimpleLine;
    SimpleLine7: TSimpleLine;
    VisMchb29: TVisMchb;
    VisMchb30: TVisMchb;
    VisZDVA9: TVisZDVA;
    VisZDVA10: TVisZDVA;
    SimpleLine1: TSimpleLine;
    Label3: TLabel;
    Label4: TLabel;
    VisDataboard1: TVisDataboard;
    VisDataboard4: TVisDataboard;
    VisMchb32: TVisMchb;
    VisLabel4: TVisLabel;
    VisNumericPanel4: TVisNumericPanel;
    VisDataboard10: TVisDataboard;
    VisNumericPanel9: TVisNumericPanel;
    VisRadioButton2: TVisRadioButton;
    VisRadioButton3: TVisRadioButton;
    VisMchb31: TVisMchb;
    VisMchb33: TVisMchb;
    VisMchb_19: TVisMchb;
    SimpleLine8: TSimpleLine;
    SimpleLine11: TSimpleLine;
    VisMchb34: TVisMchb;
    VisMchb36: TVisMchb;
    VisMchb38: TVisMchb;
    SimpleLine14: TSimpleLine;
    VisMchb39: TVisMchb;
    VisMchb40: TVisMchb;
    VisMchb41: TVisMchb;
    VisLabel1: TVisLabel;
    VisNumericPanel1: TVisNumericPanel;
    VisDataboard2: TVisDataboard;
    VisZDVA11: TVisZDVA;
    SimpleLine15: TSimpleLine;
    Panel1: TPanel;
    VisRadioButton4: TVisRadioButton;
    VisRadioButton5: TVisRadioButton;
    VisMchb42: TVisMchb;
    VisMchb43: TVisMchb;
    VisMchb44: TVisMchb;
    VisMchb45: TVisMchb;
    VisMchb46: TVisMchb;
    SimpleLine16: TSimpleLine;
    SimpleLine17: TSimpleLine;
    SimpleLine19: TSimpleLine;
    Label5: TLabel;
    VisNumericPanel24: TVisNumericPanel;
    VisDataboard3: TVisDataboard;
    VisNumericPanel5: TVisNumericPanel;
    VisNumericPanel3: TVisNumericPanel;
    VisMchb47: TVisMchb;
    VisMchb48: TVisMchb;
    VisMchb5: TVisMchb;
    VisMchb6: TVisMchb;
    SimpleLine20: TSimpleLine;
    SimpleLine32: TSimpleLine;
    SimpleLine33: TSimpleLine;
    SimpleLine34: TSimpleLine;
    SimpleLine35: TSimpleLine;
    VisMchb9: TVisMchb;
    SimpleLine36: TSimpleLine;
    VisMchb10: TVisMchb;
    VisMchb49: TVisMchb;
    VisMchb50: TVisMchb;
    VisMchb51: TVisMchb;
    SimpleLine43: TSimpleLine;
    SimpleLine44: TSimpleLine;
    Panel2: TPanel;
    VisRadioButton7: TVisRadioButton;
    VisRadioButton8: TVisRadioButton;
    SimpleLine4: TSimpleLine;
    SimpleLine5: TSimpleLine;
    SimpleLine30: TSimpleLine;
    SimpleLine37: TSimpleLine;
    procedure VisualDeviceClick(Sender: TObject);
    procedure TabSheetMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure ScadaObjectClick(Sender: TObject; obj: TCustomScadaObject;
      var frm: TForm);
    procedure GeliosClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure VisRadioButton1Click(Sender: TObject);
  private
  public
  end;

var
  Screen_OthodForm: TScreen_OthodForm;

implementation
uses
  numbers,
  meslogging,
  Gelios_prop,
  TagStorage,
  RpVisualGlobal,
  RpVisualLegacyPanels,
  RpVisualUtils,
  RpVisualMain;


{$R *.dfm}


procedure TScreen_OthodForm.VisualDeviceClick(Sender: TObject);
begin
  _VisualDeviceClick(sender);
end;

procedure TScreen_OthodForm.TabSheetMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  _TabSheetMouseDown(Sender, Button, Shift, X, Y);
end;

procedure TScreen_OthodForm.ScadaObjectClick(Sender: TObject;
  obj: TCustomScadaObject; var frm: TForm);
begin
  _ScadaObjectClick(sender, obj, frm);
end;


procedure TScreen_OthodForm.GeliosClick(Sender: TObject);
begin
  _Gelios_Click(self, Sender, 1);
end;

procedure TScreen_OthodForm.FormCreate(Sender: TObject);
begin
  align := alClient;
end;

procedure TScreen_OthodForm.VisRadioButton1Click(Sender: TObject);
begin
  with Sender as TVisRadioButton do
    SaveMessageText('Маршрут "Общее оборудование"', 'Выбор направления', Hint );
end;


end.
